/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TgeneaccountingdatebranchPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "BRANCHCODE")
    private short branchcode;
    @Basic(optional = false)
    @Column(name = "COMPANYCODE")
    private long companycode;

    public TgeneaccountingdatebranchPK() {
    }

    public TgeneaccountingdatebranchPK(short branchcode, long companycode) {
        this.branchcode = branchcode;
        this.companycode = companycode;
    }

    public short getBranchcode() {
        return branchcode;
    }

    public void setBranchcode(short branchcode) {
        this.branchcode = branchcode;
    }

    public long getCompanycode() {
        return companycode;
    }

    public void setCompanycode(long companycode) {
        this.companycode = companycode;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) branchcode;
        hash += (int) companycode;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TgeneaccountingdatebranchPK)) {
            return false;
        }
        TgeneaccountingdatebranchPK other = (TgeneaccountingdatebranchPK) object;
        if (this.branchcode != other.branchcode) {
            return false;
        }
        if (this.companycode != other.companycode) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TgeneaccountingdatebranchPK[ branchcode=" + branchcode + ", companycode=" + companycode + " ]";
    }
    
}
